Subject: Re: [PATCH 4/4] refs: do not clobber dangling symrefs

From: Toon Claes <[email-masked]>
Date: Tue, 23 Sep 2025 11:36:51 +0200

Jeff King <[email-masked]> writes:

> So I dunno. My inclination is to say that the double-null-oid invocation
> is weird and wrong, and callers should update if they need to. But I
> could be convinced otherwise.

Thanks for your feedback, and I have to agree. I'll get in touch with
the Gitaly team to see if we can rid of this odd invocation. For the
record, this conversation has been happening here[1].

[1]: https://gitlab.com/gitlab-org/gitaly/-/merge_requests/8161#note_2767808133

-- 
Cheers,
Toon